#
# spec file for package python-django-collectd-rest
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define skip_python2 1
%define skip_python36 1
%{?sle15_python_module_pythons}
Name:           python-django-collectd-rest
Version:        0.2.6
Release:        1.3
Summary:        A simple Django application to demonstrate RRD plots
License:        BSD-2-Clause
URL:            https://github.com/matwey/django-collectd-rest
Source:         https://files.pythonhosted.org/packages/source/d/django-collectd-rest/django_collectd_rest-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module djangorestframework >= 3.7}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest-django}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module scikit-build-core}
# sqlite3 from standard library is requires for tests
BuildRequires:  %{pythons}
BuildRequires:  fdupes
BuildRequires:  gcc
BuildRequires:  python-rpm-macros
BuildRequires:  rrdtool-devel
Requires:       python-djangorestframework >= 3.7
Requires:       rrdtool
%python_subpackages

%description
django-collectd-rest is a simple Django application to demonstrate RRD plots generated by collectd or any other rrd data.
The application is built on top of django-rest-framework and provides REST API to access the plots.

%prep
%setup -q -n django_collectd_rest-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%check
%pytest_arch

%files %{python_files}
%license LICENSE
%doc README.md
%{python_sitearch}/collectd_rest
%{python_sitearch}/django_collectd_rest-%{version}.dist-info

%changelog
* Wed Sep 11 2024 Matwey Kornilov <matwey.kornilov@gmail.com>
- Version 0.2.6:
  - Fix build with rrdtool 1.9.0
- Version 0.2.5:
  - Drop Python 3.6 support
* Thu Mar 21 2024 Max Lin <mlin@suse.com>
- Add %%{?sle15_python_module_pythons}
* Thu Feb 23 2023 Dirk Müller <dmueller@suse.com>
- update to 0.2.4:
  * use prefetch_related to decrease queries
* Wed Apr 20 2022 Markéta Machová <mmachova@suse.com>
- do not require mock
* Fri Jan  7 2022 John Vandenberg <jayvdb@gmail.com>
- Skip Tumbleweed Python 3.6 incompatible with Django 4
* Sun Dec 26 2021 Matwey Kornilov <matwey.kornilov@gmail.com>
- Version 0.2.3
  - Fix Django4 build
* Mon Sep 20 2021 pgajdos@suse.com
- %%check: do not use setup.py test
* Sat Mar  7 2020 Matwey Kornilov <matwey.kornilov@gmail.com>
- Version 0.2.1.1
- Skip python2 support
* Mon Feb 19 2018 matwey.kornilov@gmail.com
- Version 0.2.0
  - Reimplement collectd_rest.rrd in pure C
* Fri Jan 19 2018 matwey.kornilov@gmail.com
- Version 0.1.11
  - Support Cache-Control response headers
* Sun Dec 24 2017 matwey.kornilov@gmail.com
- BuildRequire: %%{pythons}
  We need sqlite3 module from standard library for tests.
* Sun Dec 24 2017 matwey.kornilov@gmail.com
- Use fdupes to fix rpmlint warnings
* Sat Dec 23 2017 matwey.kornilov@gmail.com
- Version 0.1.10
  - Support Django 2.0
* Sat Dec 23 2017 matwey.kornilov@gmail.com
- Follow openSUSE Python Singlespec
* Sat Apr  2 2016 matwey.kornilov@gmail.com
- Version 0.1.9.1
  - Add migrations module to better support Djangp 1.9
* Tue Feb 23 2016 matwey.kornilov@gmail.com
- Version 0.1.8
  - Fix support Django >= 1.8
* Sun Jan 18 2015 matwey.kornilov@gmail.com
- Version 0.1.7
* Fri Dec  5 2014 matwey.kornilov@gmail.com
- Initial version
